summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-08-26 19:46:08 +0200
committerMichał Górny <mgorny@gentoo.org>2017-08-26 19:46:44 +0200
commit85fae56653d2875065e30488ba86bec857c9ecdd (patch)
tree93e9f0c0c9c2b42b07b9f736c2910fd0ef2863aa /xfce-extra/xfce4-pulseaudio-plugin
parentdev-db/redis: [QA] Use relative symlink target(s) (diff)
downloadgentoo-85fae56653d2875065e30488ba86bec857c9ecdd.tar.gz
gentoo-85fae56653d2875065e30488ba86bec857c9ecdd.tar.bz2
gentoo-85fae56653d2875065e30488ba86bec857c9ecdd.zip
xfce-extra/xfce4-pulseaudio-plugin: elog about needed external mixer
Bug: https://bugs.gentoo.org/628970
Diffstat (limited to 'xfce-extra/xfce4-pulseaudio-plugin')
-rw-r--r--xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild9
1 files changed, 9 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
index b4ca786af48..ebb6f360347 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
@@ -44,6 +44,15 @@ src_install() {
pkg_postinst() {
gnome2_icon_cache_update
+
+ if ! has_version media-sound/pavucontrol; then
+ elog "For the 'audio mixer...' shortcut to work, you need to install"
+ elog "an external mixer application. Please either install:"
+ elog
+ elog " media-sound/pavucontrol"
+ elog
+ elog "or specify another application to use in the 'Properties' dialog."
+ fi
}
pkg_postrm() {